com.mapinfo.midev.style

## Interface ICompositeStyle

All Superinterfaces:
  ICopiable, IStyle, Serializable

    public interface ICompositeStyle
    extends IStyle

An unordered set of styles used to decorate a heterogeneous set of feature geometries. It contains no more than one of each main type: `ILineStyle`, `IAreaStyle`, `IPointStyle`, `ITextStyle`, `IRasterStyle` or `IGridStyle`.

### Method Summary

All Methods Instance Methods Abstract Methods
`IAreaStyle` `getAreaStyle()` Returns the area style of the composite style.
`ICompositeStyle` `getCopy()` Returns a copy of this style.
`IGridStyle` `getGridStyle()` Returns the grid style of the composite style.
`ILineStyle` `getLineStyle()` Returns the line style of the composite style.
`IPointStyle` `getPointStyle()` Returns the point style of the composite style.
`IRasterStyle` `getRasterStyle()` Returns the raster style of the composite style.
`ITextStyle` `getTextStyle()` Returns the text style of the composite style.
`void` `setAreaStyle(IAreaStyle areaStyle)` Sets the area style of the composite style.
`void` `setLineStyle(ILineStyle lineStyle)` Sets the line style of the composite style.
`void` `setPointStyle(IPointStyle pointStyle)` Sets the point style of the composite style.
`void` `setRasterStyle(IRasterStyle rasterStyle)` Sets the raster style of the composite style.
`void` `setTextStyle(ITextStyle textStyle)` Sets the text style of the composite style.

### Method Detail

#### getLineStyle

    ILineStyle getLineStyle()

Returns the line style of the composite style.

Returns:
  The line style of the composite style.

#### setLineStyle

    void setLineStyle(ILineStyle lineStyle)

Sets the line style of the composite style.

Parameters:
  `lineStyle` - the line style of the composite style.

#### getAreaStyle

    IAreaStyle getAreaStyle()

Returns the area style of the composite style.

Returns:
  The area style of the composite style.

#### setAreaStyle

    void setAreaStyle(IAreaStyle areaStyle)

Sets the area style of the composite style.

Parameters:
  `areaStyle` - the area style of the composite style.

#### getPointStyle

    IPointStyle getPointStyle()

Returns the point style of the composite style.

Returns:
  The point style of the composite style.

#### setPointStyle

    void setPointStyle(IPointStyle pointStyle)

Sets the point style of the composite style.

Parameters:
  `pointStyle` - the point style of the composite style.

#### getTextStyle

    ITextStyle getTextStyle()

Returns the text style of the composite style.

Returns:
  The text style of the composite style.

#### setTextStyle

    void setTextStyle(ITextStyle textStyle)

Sets the text style of the composite style.

Parameters:
  `textStyle` - the text style of the composite style.

#### getRasterStyle

    IRasterStyle getRasterStyle()

Returns the raster style of the composite style.

Returns:
  The raster style of the composite style.

#### setRasterStyle

    void setRasterStyle(IRasterStyle rasterStyle)

Sets the raster style of the composite style.

Parameters:
  `rasterStyle` - the raster style of the composite style.

#### getGridStyle

    IGridStyle getGridStyle()

Returns the grid style of the composite style.

Returns:
  The grid style of the composite style.

#### getCopy

    ICompositeStyle getCopy()

Returns a copy of this style.

Specified by:
  `getCopy` in interface `ICopiable`
Specified by:
  `getCopy` in interface `IStyle`
Returns:
  a copy of this style.